Raritan PX2/PX3 JSON-RPC API

ServiceAuthorization.idl
1 /* SPDX-License-Identifier: BSD-3-Clause */
2 /*
3 * Copyright 2012 Raritan Inc. All rights reserved.
4 */
5
6 /**
7 * %Security Configuration
8 */
9 module security {
10
11 /** Service Authorization Configuration */
12 interface ServiceAuthorization {
13
14 constant int ERR_PASSWORD_INVALID = 1; ///< Invalid password
15
16 /**
17 * Change a certain service password
18 *
19 * @param service The service to set the password for
20 * @param password The new password
21 *
22 * @return 0 if ok
23 * @return ERR_PASSWORD_INVALID if new password cannot be applied
24 */
25 int setPassword(in string service, in string password);
26 };
27
28 }
security::ServiceAuthorization
Service Authorization Configuration.
Definition: ServiceAuthorization.idl:12
security
Security Configuration
Definition: Security.idl:11